/*****************************************************************************************
 *
 *  Copyright 2006+ by Cieszak
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 ****************************************************************************************/

#ifndef MENU_H
#define MENU_H

#include <nokix/all.h>

/**************************************************************************************/

/* KEEP THIS STRUCTURE <=40 BYTES LONG! */
struct application
{
   unsigned char state;               // current game app state (see below)
   unsigned char old_lights_owner;    // old value of lights_owner, needed for restore
   unsigned int hiscore;
};

/* global_buffer is an array of 40 bytes in RAM which you can use for your
   own purposes as long as your application stays active; when it is deactivated
   the buffer may be overwritten by another one;
   here we define 'app' symbol to access these 40 bytes as a structure */
#define app (*(struct application *)global_buffer)

#define STATE_MENU         0
#define STATE_GAME         1
#define STATE_INSTRUCTIONS 2
#define STATE_CLEAR_DLG    3

/**************************************************************************************/

#endif /* MENU_H */

